fetch("http://localhost:1880/getVersions").then((response) => {
    if (response.ok) {
        document.getElementById("local_text").innerHTML = "Active";
        return response.json();
    }
    throw new Error('Something went wrong');
  })
  .then((responseJson) => {
      if(responseJson.userEmail)
        document.getElementById("user_text").innerHTML = responseJson.userEmail;
    if(responseJson.hostName)
        document.getElementById("host_text").innerHTML = responseJson.hostName;
    if(responseJson.nxgLocalmodeVersion)
        document.getElementById("nxg_text").innerHTML = responseJson.nxgLocalmodeVersion;
    if(responseJson.adproSDKVersion)
        document.getElementById("adpro_text").innerHTML = responseJson.adproSDKVersion;
    if(responseJson.dahuaSDKVersion)
        document.getElementById("dahua_text").innerHTML = responseJson.dahuaSDKVersion;
    if(responseJson.hikvisionSDKVersion)
        document.getElementById("hik_text").innerHTML = responseJson.hikvisionSDKVersion;
    if(responseJson.univiewSDKVersion)
        document.getElementById("unv_text").innerHTML = responseJson.univiewSDKVersion;
    if(responseJson.ffmpegVersion)
        document.getElementById("ff_text").innerHTML = responseJson.ffmpegVersion;
    if(responseJson.noderedVersion)
        document.getElementById("node_text").innerHTML = responseJson.noderedVersion;
    if(responseJson.nodejsVersion)
        document.getElementById("nodejs_text").innerHTML = responseJson.nodejsVersion;
    if(responseJson.npmVersion)
        document.getElementById("npm_text").innerHTML = responseJson.npmVersion;
    if(responseJson.netVersion)
        document.getElementById("net_text").innerHTML = responseJson.netVersion;
  })
  .catch((error) => {
    document.getElementById("local_text").innerHTML = "**InActive**";
  });